Skip to main content
POST
/
safe-house
/
config
/
bulk-apply
Bulk apply a Safe House config to up to 500 agents
curl --request POST \
  --url https://api.mnemom.ai/v1/safe-house/config/bulk-apply \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_ids": [
    "<string>"
  ],
  "config": {
    "thresholds": {
      "warn": 123,
      "quarantine": 123,
      "block": 123
    },
    "screen_surfaces": [
      "<string>"
    ],
    "trusted_sources": [
      "<string>"
    ],
    "settings": {}
  }
}
'
{
  "updated": 123,
  "failed": 123
}

Authorizations

Authorization
string
header
required

Supabase JWT token in Authorization: Bearer header

Body

application/json
agent_ids
string[]
required
Required array length: 1 - 500 elements
config
object
required

Response

Applied.

updated
integer
failed
integer